OpenNMS API 1.2.9

## org.opennms.netmgt.notifd
Class NoticeQueue

    java.lang.Object
      java.util.AbstractMap
          java.util.TreeMap
              org.opennms.netmgt.notifd.NoticeQueue

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable, java.util.SortedMap

public class NoticeQueue
extends java.util.TreeMap

This is a data class designed to hold NotificationTasks in an ordered map that can handle collisions.

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.TreeMap
``

Nested classes inherited from class java.util.AbstractMap
``

Field Summary

Fields inherited from class java.util.TreeMap
``

Fields inherited from class java.util.AbstractMap
``

Constructor Summary
`NoticeQueue()`
`NoticeQueue(java.util.Comparator c)`
`NoticeQueue(java.util.Map m)`
`NoticeQueue(java.util.SortedMap m)`

Method Summary
`java.lang.Object` `put(java.lang.Object key, java.lang.Object task)`
`java.lang.Object` `remove(java.lang.Object task)`
`java.lang.String` `toString()`
`java.util.Collection` `values()`

Methods inherited from class java.util.TreeMap
`clear, clone, comparator, containsKey, containsValue, entrySet, firstKey, get, headMap, keySet, lastKey, putAll, size, subMap, tailMap`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, isEmpty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode, isEmpty`

Constructor Detail

### NoticeQueue

    public NoticeQueue()

### NoticeQueue

    public NoticeQueue(java.util.Comparator c)

### NoticeQueue

    public NoticeQueue(java.util.Map m)

### NoticeQueue

    public NoticeQueue(java.util.SortedMap m)

Method Detail

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object task)

### remove

    public java.lang.Object remove(java.lang.Object task)

### values

    public java.util.Collection values()

### toString

    public java.lang.String toString()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.